Bug 1021377 - oo-install get an incorrect IP address for CONF_NAMED_IP_ADDR in launcher.rb
oo-install get an incorrect IP address for CONF_NAMED_IP_ADDR in launcher.rb
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: N. Harrison Ripps
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 04:03 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 N. Harrison Ripps 2013-10-21 08:54:41 EDT
Assigned
Comment 4 N. Harrison Ripps 2013-10-21 10:55:15 EDT
Addressed in pull request #91 - https://github.com/openshift/openshift-extras/pull/91
Comment 5 Johnny Liu 2013-10-22 02:05:39 EDT
Verified this bug with oo-install-20131021-2047 and PASS.

$ sh <(curl -s http://oo-install.rhcloud.com/) "-e -w enterprise_deploy -c oo-install-cfg.yml-rhn"
<--snip-->
Copying deployment script to target 10.4.59.165.
openshift.sh                                                                                                                                           100%   85KB  84.9KB/s   00:00    
Running deployment
The following components should be installed:
	broker.
	named.
	activemq.
	datastore.
Configuring with broker with hostname broker.my-ose.com.cn.
Configuring with named with IP address 192.168.59.177.
Configuring with datastore with hostname dbserver.my-ose.com.cn.
Configuring with activemq with hostname msgserver.my-ose.com.cn.
<--snip-->

Now oo-install is setting a correct ip for CONF_NAMED_IP_ADDR

Note You need to log in before you can comment on or make changes to this bug.